Skip to main content
GET
List lend positions

Authorizations

Authorization
string
header
required

A JWT signed using the developer's own JWT private key (in the case of JWT authentication), or an end user JWT signed by CDP, encoded in base64. This is used for End User Account APIs.

Path Parameters

userId
string
required

The ID of the end user.

Pattern: ^[a-zA-Z0-9-]{1,100}$
address
string
required

The EVM address whose lend positions are requested. Must belong to the end user.

Pattern: ^0x[0-9a-fA-F]{40}$

Query Parameters

vaultIds
string[]

Filter positions to these project-owned vaults. Provide 1 to 100 unique, comma-separated vault IDs. Omit to use tracked discovery for the address.

Required array length: 1 - 100 elements

The globally unique ID of the vault, which is a UUID prefixed with the string vault_.

Pattern: ^vault_[a-f0-9-]{36}$
pageSize
integer
default:20

The number of resources to return per page.

pageToken
string

The token for the next page of resources, if any.

projectID
string

The ID of the CDP Project. Required for end users authenticated using custom auth (i.e. a non-CDP JWT provider).

Pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-4[0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$
Example:

"8e03978e-40d5-43e8-bc93-6894a57f9324"

Response

Successfully listed lend positions.

The account's non-zero lend positions in project-owned vaults.

lendPositions
object[]
required

The lend positions on this page. Empty when no matching positions remain.

nextPageToken
string

The token for the next page of items, if any.

Example:

"eyJsYXN0X2lkIjogImFiYzEyMyIsICJ0aW1lc3RhbXAiOiAxNzA3ODIzNzAxfQ=="